package com.das.modules.auth.domain.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author chenhaojie
 * @Description
 */
@Data
public class LoginRequest {

    /**
     * * 用户账号
     */
    @NotBlank(message = "用户名不允许为空")
    private String username;

    /**
     * 密码
     */
    @NotBlank(message = "密码不允许为空")
    private String password;

    /**
     * 是否记住
     */
    @NotBlank(message = "是否记住")
    private boolean keep;

    /**
     * 验证码
     */
    @NotBlank(message = "验证码不允许为空")
    private String code;

    /**
     * 验证码唯一标识
     */
    @NotBlank(message = "验证码唯一标识不允许为空")
    private String uuid;


}
