package com.das.modules.auth.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.das.common.constant.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>
 * 用户信息
 * </p>
 *
 * @author chenhaojie
 */
@Data
@TableName("sys_user")
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class SysUser extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 登录账号
     */
    private String account;

    /**
     * 加密后的密码
     */
    private String password;

    /**
     * 职员名称
     */
    private String userName;

    /**
     * 职员邮箱
     */
    private String email;

    /**
     * 职员联系电话
     */
    private String phone;

    /**
     * 所属机构id
     */
    private Long orgId;

    /**
     * 最近一次登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastLogin;

    /**
     * 乐观锁
     */
    private int revision;

}
